Bug 630221 - (ghc-vty) Review Request: ghc-vty - A simple terminal access library
Review Request: ghc-vty - A simple terminal access library
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: ghc-terminfo ghc-vector
Blocks: hledger-vty yi
  Show dependency treegraph
 
Reported: 2010-09-04 01:19 EDT by Ben Boeckel
Modified: 2013-06-24 06:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review?


Attachments (Terms of Use)
ghc-vty.spec-1.patch (922 bytes, patch)
2013-03-13 04:38 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Ben Boeckel 2010-09-04 01:19:32 EDT
Spec URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty.spec
SRPM URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty-4.2.1.0.1-1.fc14.src.rpm
Description:
vty is terminal GUI library in the niche of ncurses. It is
intended to be easy to use, have no confusing corner cases,
and good support for common terminal types.

The version is bumped by .1 because of a backported patch which bumps dependencies and would probably cause hell with cabal otherwise.

% lintmock fedora-14-x86_64-bb
ghc-vty.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty.src: W: strange-permission vty-4.2.1.0-parallel2.patch 0640L
ghc-vty.src: W: strange-permission vty-4.2.1.0.tar.gz 0640L
ghc-vty.src: W: strange-permission ghc-vty.spec 0640L
ghc-vty.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-devel.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-prof.x86_64: E: devel-dependency ghc-vty-devel
ghc-vty-prof.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-prof.x86_64: W: no-documentation
ghc-vty-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/vty-4.2.1.0.1/libHSvty-4.2.1.0.1_p.a
4 packages and 0 specfiles checked; 1 errors, 9 warnings.
Comment 1 Ben Boeckel 2010-09-07 20:12:56 EDT
Spec URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty.spec
SRPM URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty-4.4.0.0-1.fc14.src.rpm

Updated to 4.4.0.0 and dropped the version bump patch.

% lintmock fedora-14-x86_64-bb
ghc-vty.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty.src: W: strange-permission vty-4.4.0.0.tar.gz 0640L
ghc-vty.src: W: strange-permission ghc-vty.spec 0640L
ghc-vty.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-devel.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-prof.x86_64: E: devel-dependency ghc-vty-devel
ghc-vty-prof.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-prof.x86_64: W: no-documentation
ghc-vty-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/vty-4.4.0.0/libHSvty-4.4.0.0_p.a
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 2 Ben Boeckel 2010-10-31 12:30:06 EDT
Spec URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty.spec
SRPM URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty-4.4.0.0.1-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-vty.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty.src: W: strange-permission ghc-vty.spec 0640L
ghc-vty.src: W: strange-permission vty-4.4.0.0.1.tar.gz 0640L
ghc-vty.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-devel.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-prof.x86_64: E: devel-dependency ghc-vty-devel
ghc-vty-prof.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-prof.x86_64: W: no-documentation
ghc-vty-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/vty-4.4.0.0.1/libHSvty-4.4.0.0.1_p.a
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 3 Jens Petersen 2011-06-18 04:24:18 EDT
Recent vty > 4.6 no longer depends on vector-space.
Comment 4 Jens Petersen 2011-09-07 10:40:13 EDT
But 4.7.0.4 requires vector.
Comment 5 Ben Boeckel 2012-03-02 21:25:43 EST
Spec URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty.spec
SRPM URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty-4.7.0.10-1.fc18.src.rpm

ghc-vty.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty.src: W: strange-permission ghc-vty.spec 0640L
ghc-vty.src: W: strange-permission vty-4.7.0.10.tar.gz 0640L
ghc-vty.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-devel.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 6 Michel Alexandre Salim 2012-06-08 22:02:46 EDT
Taking this review
Comment 7 Michel Alexandre Salim 2012-06-08 22:04:48 EDT
(In reply to comment #5)
> ghc-vty.src: W: strange-permission ghc-vty.spec 0640L
> ghc-vty.src: W: strange-permission vty-4.7.0.10.tar.gz 0640L

Probably best to 'chmod 644' the files before doing rpmbuild -- that's quite a secure home directory. Wait until the full review before changing this though, no point regenerating the SRPM just for permission warnings.
Comment 8 Ben Boeckel 2012-06-08 22:08:00 EDT
(In reply to comment #7)
> (In reply to comment #5)
> > ghc-vty.src: W: strange-permission ghc-vty.spec 0640L
> > ghc-vty.src: W: strange-permission vty-4.7.0.10.tar.gz 0640L
> 
> Probably best to 'chmod 644' the files before doing rpmbuild -- that's quite
> a secure home directory. Wait until the full review before changing this
> though, no point regenerating the SRPM just for permission warnings.

They'll be fine when generated via fedora-git (the tarball uploads are fine too once on the server which has been verified by infrastructure). It's only local stuff I build which has this issue.
Comment 9 Michel Alexandre Salim 2012-06-09 08:59:18 EDT
MD5 checksum does not match the upstream download, and 4.7.0.14 is now out -- everything else looks fine, so please update the spec and SRPM and I'll then approve it.



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
xt
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/michel/sources/fedora/projects/FedoraReview/src/630221/vty-4.7.0.10.tar.gz :
  MD5SUM this package     : 171ece14078363412467967bfac9881c
  MD5SUM upstream package : d6fde5f1318951bc2724a1a45f9070dd

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
     4.7.0.14 is out
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/michel/sources/fedora/projects/FedoraReview/src/630221/vty-4.7.0.10.tar.gz :
  MD5SUM this package     : 171ece14078363412467967bfac9881c
  MD5SUM upstream package : d6fde5f1318951bc2724a1a45f9070dd

See: http://fedoraproject.org/wiki/Packaging/SourceURL
[!]: SHOULD Latest version is packaged.
     4.7.0.14 is out

Generated by fedora-review 0.2.0git
External plugins:
Comment 11 Jens Petersen 2012-09-10 05:04:52 EDT
Ping?
Comment 12 Michel Alexandre Salim 2012-09-17 05:57:10 EDT
OK, the only change needed is to use %ghc_gen_filelists %{name} to generate the file listing (per guidelines). The current way in the spec generates duplicates and the LICENSE file is not tagged %doc.



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice: /usr/share/doc/ghc-vty-4.7.0.14
     Perhaps use %ghc_gen_filelists %{name} as per the current guidelines?
     https://fedoraproject.org/wiki/Packaging:Haskell#File_lists
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
     See previous [!] -- the file is currently included but not marked %doc
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (vty-4.7.0.14.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice: /usr/share/doc/ghc-vty-4.7.0.14
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames
[!]: MUST Static libraries in -static subpackage, if present.
     Note: ghc-vty-devel-4.7.0.14-1.fc17.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/vty-4.7.0.14/libHSvty-4.7.0.14.a ghc-vty-
     devel-4.7.0.14-1.fc17.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/vty-4.7.0.14/libHSvty-4.7.0.14_p.a
See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

Rpmlint
-------
Checking: ghc-vty-4.7.0.14-1.fc17.x86_64.rpm
          ghc-vty-devel-4.7.0.14-1.fc17.x86_64.rpm
          ghc-vty-4.7.0.14-1.fc17.src.rpm
ghc-vty.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty-devel.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ghc-vty.src: W: strange-permission ghc-vty.spec 0640L
ghc-vty.src: W: strange-permission vty-4.7.0.14.tar.gz 0640L
3 packages and 0 specfiles checked; 0 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint ghc-vty-devel
ghc-vty-devel.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-vty-4.7.0.14-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    ghc(base-4.3.1.0) = d2298ea3d0e16f270dfe58dfbda12bff
    ghc(bytestring-0.9.1.10) = 6aa1efbfa95d1689fc03d61e7c4b27c4
    ghc(containers-0.4.0.0) = b4885363abca642443ccd842502a3b7e
    ghc(deepseq-1.1.0.2) = 0465f803f7d27d264907e7e03e72a71f
    ghc(ghc-prim-0.2.0.0) = d9df11f804556f362beb0ea4e67261ba
    ghc(mtl-2.0.1.0) = 5b7a9cce5565d8cc8721ba4f95becf1b
    ghc(parallel-3.1.0.1) = cecd6f84e9c097c6abc356ad52b80887
    ghc(parsec-3.1.1) = 33474162d2bbd21ea1e4f1e3830243d8
    ghc(terminfo-0.3.2.3) = ea876a3aa39896fd6ee2d56be977a5b0
    ghc(unix-2.4.2.0) = 58b1a2dba5afd4464c2e3918310189ff
    ghc(utf8-string-0.3.7) = b8c58384678e55bfda62a9801c3a6a16
    ghc(vector-0.9.1) = ba9ee29a5d31f1685f2fe863843c9d72
    libHSarray-0.3.0.2-ghc7.0.4.so()(64bit)  
    libHSbase-4.3.1.0-ghc7.0.4.so()(64bit)  
    libHSbytestring-0.9.1.10-ghc7.0.4.so()(64bit)  
    libHScontainers-0.4.0.0-ghc7.0.4.so()(64bit)  
    libHSdeepseq-1.1.0.2-ghc7.0.4.so()(64bit)  
    libHSextensible-exceptions-0.1.1.2-ghc7.0.4.so()(64bit)  
    libHSghc-prim-0.2.0.0-ghc7.0.4.so()(64bit)  
    libHSinteger-gmp-0.2.0.3-ghc7.0.4.so()(64bit)  
    libHSmtl-2.0.1.0-ghc7.0.4.so()(64bit)  
    libHSparallel-3.1.0.1-ghc7.0.4.so()(64bit)  
    libHSparsec-3.1.1-ghc7.0.4.so()(64bit)  
    libHSprimitive-0.4.0.1-ghc7.0.4.so()(64bit)  
    libHSterminfo-0.3.2.3-ghc7.0.4.so()(64bit)  
    libHStransformers-0.2.2.0-ghc7.0.4.so()(64bit)  
    libHSunix-2.4.2.0-ghc7.0.4.so()(64bit)  
    libHSutf8-string-0.3.7-ghc7.0.4.so()(64bit)  
    libHSvector-0.9.1-ghc7.0.4.so()(64bit)  
    libc.so.6()(64bit)  
    libdl.so.2()(64bit)  
    libgmp.so.10()(64bit)  
    libncursesw.so.5()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libtinfo.so.5()(64bit)  
    libutil.so.1()(64bit)  
    rtld(GNU_HASH)  

ghc-vty-devel-4.7.0.14-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    ghc(vty-4.7.0.14) = 726cbdf71d3611adfff4cbcde540c8a8
    ghc-compiler = 7.0.4
    ghc-devel(base-4.3.1.0) = d2298ea3d0e16f270dfe58dfbda12bff
    ghc-devel(bytestring-0.9.1.10) = 6aa1efbfa95d1689fc03d61e7c4b27c4
    ghc-devel(containers-0.4.0.0) = b4885363abca642443ccd842502a3b7e
    ghc-devel(deepseq-1.1.0.2) = 0465f803f7d27d264907e7e03e72a71f
    ghc-devel(ghc-prim-0.2.0.0) = d9df11f804556f362beb0ea4e67261ba
    ghc-devel(mtl-2.0.1.0) = 5b7a9cce5565d8cc8721ba4f95becf1b
    ghc-devel(parallel-3.1.0.1) = cecd6f84e9c097c6abc356ad52b80887
    ghc-devel(parsec-3.1.1) = 33474162d2bbd21ea1e4f1e3830243d8
    ghc-devel(terminfo-0.3.2.3) = ea876a3aa39896fd6ee2d56be977a5b0
    ghc-devel(unix-2.4.2.0) = 58b1a2dba5afd4464c2e3918310189ff
    ghc-devel(utf8-string-0.3.7) = b8c58384678e55bfda62a9801c3a6a16
    ghc-devel(vector-0.9.1) = ba9ee29a5d31f1685f2fe863843c9d72
    ghc-devel(vty-4.7.0.14) = 726cbdf71d3611adfff4cbcde540c8a8
    ghc-prof(base-4.3.1.0) = d2298ea3d0e16f270dfe58dfbda12bff
    ghc-prof(bytestring-0.9.1.10) = 6aa1efbfa95d1689fc03d61e7c4b27c4
    ghc-prof(containers-0.4.0.0) = b4885363abca642443ccd842502a3b7e
    ghc-prof(deepseq-1.1.0.2) = 0465f803f7d27d264907e7e03e72a71f
    ghc-prof(ghc-prim-0.2.0.0) = d9df11f804556f362beb0ea4e67261ba
    ghc-prof(mtl-2.0.1.0) = 5b7a9cce5565d8cc8721ba4f95becf1b
    ghc-prof(parallel-3.1.0.1) = cecd6f84e9c097c6abc356ad52b80887
    ghc-prof(parsec-3.1.1) = 33474162d2bbd21ea1e4f1e3830243d8
    ghc-prof(terminfo-0.3.2.3) = ea876a3aa39896fd6ee2d56be977a5b0
    ghc-prof(unix-2.4.2.0) = 58b1a2dba5afd4464c2e3918310189ff
    ghc-prof(utf8-string-0.3.7) = b8c58384678e55bfda62a9801c3a6a16
    ghc-prof(vector-0.9.1) = ba9ee29a5d31f1685f2fe863843c9d72
    ghc-vty = 4.7.0.14-1.fc17

Provides
--------
ghc-vty-4.7.0.14-1.fc17.x86_64.rpm:
    
    ghc(vty-4.7.0.14) = 726cbdf71d3611adfff4cbcde540c8a8
    ghc-vty = 4.7.0.14-1.fc17
    ghc-vty(x86-64) = 4.7.0.14-1.fc17
    libHSvty-4.7.0.14-ghc7.0.4.so()(64bit)  

ghc-vty-devel-4.7.0.14-1.fc17.x86_64.rpm:
    
    ghc-devel(vty-4.7.0.14) = 726cbdf71d3611adfff4cbcde540c8a8
    ghc-prof(vty-4.7.0.14) = 726cbdf71d3611adfff4cbcde540c8a8
    ghc-vty-devel = 4.7.0.14-1.fc17
    ghc-vty-devel(x86-64) = 4.7.0.14-1.fc17
    ghc-vty-doc = 4.7.0.14-1.fc17
    ghc-vty-prof = 4.7.0.14-1.fc17

MD5-sum check
-------------
http://hackage.haskell.org/packages/archive/vty/4.7.0.14/vty-4.7.0.14.tar.gz :
  CHECKSUM(SHA256) this package     : c962396bb2a95dc233e79564c00240a0494cd6b609a83bed4f30d2939714f671
  CHECKSUM(SHA256) upstream package : c962396bb2a95dc233e79564c00240a0494cd6b609a83bed4f30d2939714f671


Generated by fedora-review 0.2.0 (2fb2447) last change: 2012-07-22
Command line :./fedora-review -b 630221 -m fedora-17-x86_64
External plugins:
Comment 13 Ben Boeckel 2012-12-08 15:11:21 EST
Spec URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty.spec
SRPM URL: http://benboeckel.net/packaging/ghc-vty/ghc-vty-4.7.0.20-1.fc19.src.rpm

Updated to the latest cabal-rpm-generated format. If %doc is still incorrect, ghc-rpm-macros needs to be looked at.
Comment 14 Jens Petersen 2013-03-13 04:08:04 EDT
Michel, ping?
Comment 15 Jens Petersen 2013-03-13 04:10:06 EDT
Ah let me check ghc-rpm-macros is doing the right thing.
Comment 16 Jens Petersen 2013-03-13 04:36:25 EDT
Latest version is now 4.7.3 btw.

ghc-rpm-macros should be doing the right thing for current releases I think.
(Those was a back-compatible duplication needed earlier for older releases.)
Comment 17 Jens Petersen 2013-03-13 04:38:58 EDT
Created attachment 709401 [details]
ghc-vty.spec-1.patch

Ben, I would handle the doc files in datadir like this.

(The libraries that push doc files into datadir are kind of annoying:
probably I should add a macro to handle them for such packages.)
Comment 18 Michel Alexandre Salim 2013-03-16 05:12:51 EDT
Apologies - this review slipped through the cracks. Ben, should I do the review with or without Jens' patch?
Comment 19 Jens Petersen 2013-06-24 06:34:12 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.